#!/bin/sh
DATA_LOCAL_DIR=$HOME/.emulationstation
DATA_DIR=/usr/share/emulationstation-batocera/resources
ES_SYSTEMS_CFG=/etc/emulationstation-batocera/es_systems.cfg
ES_THEMES=/etc/emulationstation-batocera/themes
ROMS_DIR=/usr/share/games/roms

if [ ! -d $DATA_LOCAL_DIR/resources ]; then
mkdir -p $DATA_LOCAL_DIR
cp -r $DATA_DIR $DATA_LOCAL_DIR
cp -r $ES_THEMES $DATA_LOCAL_DIR
cp $ES_SYSTEMS_CFG $DATA_LOCAL_DIR

echo "Generating set of folders..."

for system in nes md gb gba gbc; do
    mkdir -p $DATA_LOCAL_DIR/systems/$system/{roms,media/{art,boxart,video,wheel}}
    cp $ROMS_DIR/$system/* $DATA_LOCAL_DIR/systems/$system/roms/
done

fi

exec emulationstation